﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="ExamEdit.aspx.vb" Inherits="StudentDataBaseServer.ExamEdit" StylesheetTheme="Proj" Theme="Proj" %>

<%@ Register Assembly="Syncfusion.EJ" Namespace="Syncfusion.JavaScript.Models" TagPrefix="ej" %>

<%@ Register Assembly="Syncfusion.EJ.Web" Namespace="Syncfusion.JavaScript.Web" TagPrefix="ej" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <link href="Content/ej/web/flat-saffron/ej.web.all.min.css" rel="stylesheet" />
    <script src="Scripts/jquery-3.3.1.min.js"></script>
    <script src="Scripts/jsrender.min.js"></script>
    <script src="Scripts/ej/web/ej.web.all.min.js"></script>

    <style type="text/css">
        .auto-style1 {
            font-size: xx-large;
            text-decoration: underline;
        }

        .auto-TTag {
            width: 30%;
        }
    </style>
    <script type="text/javascript">
        function ffileOpen(U) {
            var excelObj = $("#SS").data("ejSpreadsheet");
            excelObj["import"]({ Url: U });
    </script>
    }
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <asp:PlaceHolder ID="HeaderBar" runat="server"></asp:PlaceHolder>
            <br />
            <h1 class="auto-style1"><strong>Exam Sheet Editor</strong></h1>
            <p>
                <asp:Button ID="BtnSave" runat="server" Text="Save" />
                &nbsp;&nbsp;
                <asp:Button ID="BtnPublish" runat="server" Text="Publish" />
                &nbsp;&nbsp;
                <asp:Button ID="BtnDiscard" runat="server" Text="Discard" />
                <asp:Label ID="LblStatus" runat="server" Text=".."></asp:Label>
            </p>

            <table style="width: 100%;">
                <tr>
                    <td class="auto-TTag">Title</td>
                    <td>
                        <asp:TextBox ID="TxtTitle" runat="server"></asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td class="auto-TTag">Password</td>
                    <td>
                        <asp:TextBox ID="TxtPass" runat="server"></asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td class="auto-TTag">Details</td>
                    <td>
                        <asp:TextBox ID="TxtDetails" runat="server"></asp:TextBox>
                    </td>
                </tr>
            </table>



            <asp:PlaceHolder ID="PH" runat="server"></asp:PlaceHolder>

            <ej:Spreadsheet ID='SS' runat='server' AllowImport='true' ColumnCount='40' Height='1000px' UndoredoStep='30' CssClass='auto-style2' Style='left: -1px; top: 0px'>
                <ScrollSettings Width='100%' Height='800' IsResponsive='true' />
            </ej:Spreadsheet>
            <br />
        </div>
    </form>
</body>
</html>
