﻿Imports Syncfusion.EJ.Export
Imports Syncfusion.JavaScript.Models
Imports Syncfusion.XlsIO

Public Class ExamEdit
    Inherits System.Web.UI.Page

    Public Const RDF As String = "Nt"


    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Session.Count = 0 Then
            Initialize(Page)
            SignOut(Page)

            Log("@Home : User not found")
        End If


        If Usr.Level = UserLevel.None Then
            SignOut(Page)
        End If
        CreateHeaderBar(HeaderBar, Session)

        If Not IsPostBack Then

            If Not Usr.Currents1.ContainsKey("ExamSheet1") Then
                Usr.Currents1.Add("ExamSheet1", Nothing)
                This = New ExamResult
            Else
                This = New ExamResult
            End If

            If EDB.Exams.Count > 0 Then
                This = EDB.Exams.ElementAt(0).Value
                Page.ClientScript.RegisterStartupScript(Me.GetType(), "ffileOpenCall", "ffileOpen(" & This.URL & ")", True)
                'SS.im

            End If

            'PH.Controls.Add(New HtmlElement() With {.InnerHtml =
            '                """<ej:Spreadsheet ID='SS' runat='server'  AllowImport='true' ColumnCount='40' Height='1000px' UndoredoStep='30' CssClass='auto-style2' Style='left: -1px; top: 0px' DataSourceCachingMode='None'>
            '    <ScrollSettings Width='100%' Height='800' IsResponsive='true' />
            '</ej:Spreadsheet>"""})




        End If

    End Sub



    'Public Sub LoadDB(DB As ExamResult)

    '    TxtTitle.Text = DB.Title
    '    TxtPass.Text = DB.Password
    '    TxtDetails.Text = DB.Password

    '    SS.Sheets.Clear()
    '    SS.Sheets.AddRange(DB.Sheets)


    'End Sub



    Public Property Usr As User
        Set(value As User)
            Session.Item(0) = value
        End Set
        Get
            Return Session.Item(0)
        End Get
    End Property



    Public Property This As ExamResult
        Set(value As ExamResult)
            Usr.Currents1("ExamSheet1") = value
        End Set
        Get
            Return Usr.Currents1("ExamSheet1")
        End Get
    End Property




    Protected Sub BtnSave_Click(sender As Object, e As EventArgs) Handles BtnSave.Click

        If TxtTitle.Text = Nothing AndAlso TxtPass.Text = "" Then
            LblStatus.Text = "Please check the title and Password. They are empty"
            Exit Sub
        End If

        This.Title = TxtTitle.Text
        This.Password = TxtPass.Text
        This.Details = TxtDetails.Text


        EDB.LastExamsIndex += 1
        This.Index = EDB.LastExamsIndex
        This.URL = "ExamResults\A.XLSX"
        'This.Sheets = SS.Sheets


        EDB.Exams.Add(This.Index, This)
        EDB.ChangeCount += 1




    End Sub





    Protected Sub BtnPublish_Click(sender As Object, e As EventArgs) Handles BtnPublish.Click

    End Sub

    Protected Sub BtnDiscard_Click(sender As Object, e As EventArgs) Handles BtnDiscard.Click

    End Sub

    Protected Sub SS_ServerExcelExporting(sender As Object, e As Syncfusion.JavaScript.Web.SpreadsheetEventArgs) Handles SS.ServerExcelExporting
        Dim args = e.Arguments
        Dim password As String = args("password").ToString()
        Dim sheetModel As String = args("sheetModel").ToString()
        Dim sheetData As String = args("sheetData").ToString()
        Dim Title = TxtTitle.Text



        If Not String.IsNullOrEmpty(password) Then
            Spreadsheet.Save(sheetModel, sheetData, "A.XLSX", ExportFormat.XLSX, ExcelVersion.Excel2016, password)
        Else
            Spreadsheet.Save(sheetModel, sheetData, "A.XLSX", ExportFormat.XLSX, ExcelVersion.Excel2016)
        End If

        LblStatus.Text = "Saved"
    End Sub

End Class